Package be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1

# Enum Class CDORTHOINTERFACEvalues

java.lang.Object
java.lang.Enum<CDORTHOINTERFACEvalues>
be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1.CDORTHOINTERFACEvalues

All Implemented Interfaces:
  `Serializable`, `Comparable<CDORTHOINTERFACEvalues>`, `java.lang.constant.Constable`

public enum CDORTHOINTERFACEvalues extends Enum<CDORTHOINTERFACEvalues>

Java class for CD-ORTHO-INTERFACEvalues

.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="CD-ORTHO-INTERFACEvalues">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="hacoated"/>
         <enumeration value="porous"/>
         <enumeration value="smouth"/>
         <enumeration value="cementwithab"/>
         <enumeration value="cementwithoutab"/>
         <enumeration value="allpoly"/>
         <enumeration value="none"/>
         <enumeration value="other"/>
         <enumeration value="metalbacked"/>
       </restriction>
     </simpleType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALLPOLY`
  `CEMENTWITHAB`
  `CEMENTWITHOUTAB`
  `HACOATED`
  `METALBACKED`
  `NONE`
  `OTHER`
  `POROUS`
  `SMOUTH`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CDORTHOINTERFACEvalues`
  `fromValue(String v)`
  Gets the enum associated to the value passed as parameter.
  `String`
  `value()`
  Gets the value associated to the enum constant.
  `static CDORTHOINTERFACEvalues`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CDORTHOINTERFACEvalues[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### HACOATED

    public static final CDORTHOINTERFACEvalues HACOATED

  - ### POROUS

    public static final CDORTHOINTERFACEvalues POROUS

  - ### SMOUTH

    public static final CDORTHOINTERFACEvalues SMOUTH

  - ### CEMENTWITHAB

    public static final CDORTHOINTERFACEvalues CEMENTWITHAB

  - ### CEMENTWITHOUTAB

    public static final CDORTHOINTERFACEvalues CEMENTWITHOUTAB

  - ### ALLPOLY

    public static final CDORTHOINTERFACEvalues ALLPOLY

  - ### NONE

    public static final CDORTHOINTERFACEvalues NONE

  - ### OTHER

    public static final CDORTHOINTERFACEvalues OTHER

  - ### METALBACKED

    public static final CDORTHOINTERFACEvalues METALBACKED

- ## Method Details

  - ### values

    public static CDORTHOINTERFACEvalues[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CDORTHOINTERFACEvalues valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public String value()
    Gets the value associated to the enum constant.
    Returns:
      The value linked to the enum.

  - ### fromValue

    public static CDORTHOINTERFACEvalues fromValue(String v)
    Gets the enum associated to the value passed as parameter.
    Parameters:
      `v` - The value to get the enum from.
    Returns:
      The enum which corresponds to the value, if it exists.
    Throws:
      `IllegalArgumentException` - If no value matches in the enum declaration.